\section{Localisation}
Let $R\neq 0$ be a commutative ring.
\begin{defn}
  A subset $S\sse R$ is called \toidx{multiplicativley closed} if
  \begin{enumerate}
    \item $1\in S$.
    \item $s_1s_2\in S$ for all $s_1,s_2\in S$.
  \end{enumerate}
\end{defn}
\begin{nbsp}
  Let $R$ be an integral domain. Then $R\setminus\{0\}$ is multiplicativley closed.
\end{nbsp}
\begin{lem}
  Let $S\sse R$ be a multiplicativley closed subset.
  The relation
  \[
  (r,s)\sim (r',s')~:\iff \text{ there is a } a\in S\text{ such that } a(rs'-r's)=0
  \]
  is an equivalence relation on $R\times S$.
\end{lem}
\begin{rem}
  Let $(r,s)\in R\times S$ and $a\in S$. Under the above equivalence relation, $(r,s)\sim (ar,as)$.
\end{rem}
\begin{proof}
  $ras-sar = a(rs-sr)=0$, and $a\in S$.
\end{proof}
\begin{defn}
  Let $S\sse R$ be a multiplicativley closed subset.
  Under the above equivalence realtion, we denote the equivalence class of $(r,s)\in R\times S$ as $\frac{r}{s}$ or $r/s$. The set of all equivalence classes
  \[
  \bigg \{ \frac{r}{s}\sse (r,s)\in R\times S \bigg \} =: S^{-1}R
  \]
  is called the \toidx{localisation}.
\end{defn}
\begin{prop}
  Let $S\sse R$ be a multiplicativley closed subset.  Then $S^{-1}R$ becomes a ring by setting
  \begin{enumerate}
    \item $a/b+c/d:= (ad+bc)/(bd)$
    \item $a/b\cdot c/d := (ac)/(bc)$ for all $a,c\in R,b,d\in S$
  \end{enumerate}
\end{prop}
\begin{proof}
  We show well-definedness:
  \coms Ommited.\come
\end{proof}
\begin{rem}
  \begin{enumerate}
  \item The additivley neutral element is $0/1$ and the multiplicativley neutral element is $1/1$.
  \item Let $s\in S$. As $s/1\cdot 1/s=1/1$, all elements of the form $s/1$ are invertible in $S^{-1}R$.
  \item Assume $0\in S$. Then $S^{-1}R=0$, as $0\in (S^{-1}R)^{\times}$.
  \end{enumerate}
\end{rem}
